<?php
/*
 * Plugin Name: Additional image sizes list
 * Plugin URI: https://www.mwordpress.net/
 * Description: Additional image sizes list 
 * Author: Mouad Achemli
 * Author URI: https://www.mwordpress.net/
 * Version: 0.1
*/

function mwp_get_thumbnail_sizes() {
	global $_wp_additional_image_sizes;
	$sizes = array();
	$rSizes = array();
	foreach (get_intermediate_image_sizes() as $s) {
		if (isset($_wp_additional_image_sizes) && isset($_wp_additional_image_sizes[$s]))
			$sizes[$s] = array($_wp_additional_image_sizes[$s]['width'], $_wp_additional_image_sizes[$s]['height'],);
	}
	foreach ($sizes as $size => $atts) {
		if ($size == '1536x1536' || $size == '2048x2048')
			continue;
			$rSizes[$size] = implode('x', $atts);
	}
	return $rSizes;
}

add_action('admin_menu', 'mwp_menu_additional_image_sizes_list');

function mwp_menu_additional_image_sizes_list() {
	$admin_page = add_menu_page('image sizes list', 'image sizes list', 'manage_options', 'image-sizes-list-view', 'mwp_page_additional_image_sizes_list', '' , 10);
}

function mwp_page_additional_image_sizes_list() {
	$data = mwp_get_thumbnail_sizes();
	?>
	<div class="wrap">
	<h1>Additional image sizes list</h1>
	<form method="post" action="options.php">
		<table class=" table" style="margin:30px 0 0;">
			<thead>
			<tr>
				<td style="color:red;font-weight:bold;">Name</td><td style="color:red;font-weight:bold;">Size</td>
			</tr>
			</thead>
			<tbody>
			<?php 
			foreach ($data as $index => $size) {
				echo '<tr>
				<td width="100px">'.$index.'</td>
				<td>'.$size.'</td>
				</tr>';
			} ?>
			</tbody>
		</table>
	</form>
	</div>
	<?php 
}